Package: org.codehaus.groovy.classgen.asm

## [Java] Class StatementWriter

- org.codehaus.groovy.classgen.asm.StatementWriter

- - ### Constructor Summary

    Constructors
    Constructor and description
    `StatementWriter (WriterController controller)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `writeAssert(AssertStatement statement)`
    `` | `void` | `writeBlockStatement(BlockStatement block)`
    `` | `void` | `writeBreak(BreakStatement statement)`
    `` | `protected void` | `writeCaseStatement(CaseStatement statement, int switchVariableIndex, org.objectweb.asm.Label thisLabel, org.objectweb.asm.Label nextLabel)`
    `` | `void` | `writeContinue(ContinueStatement statement)`
    `` | `void` | `writeDoWhileLoop(DoWhileStatement loop)`
    `` | `void` | `writeExpressionStatement(ExpressionStatement statement)`
    `` | `protected void` | `writeForInLoop(ForStatement loop)`
    `` | `protected void` | `writeForLoopWithClosureList(ForStatement loop)`
    `` | `void` | `writeForStatement(ForStatement loop)`
    `` | `void` | `writeIfElse(IfStatement ifElse)`
    `` | `protected void` | `writeIteratorHasNext(org.objectweb.asm.MethodVisitor mv)`
    `` | `protected void` | `writeIteratorNext(org.objectweb.asm.MethodVisitor mv)`
    `` | `void` | `writeReturn(ReturnStatement statement)`
    `` | `protected void` | `writeStatementLabel(Statement statement)`
    `` | `void` | `writeSwitch(SwitchStatement statement)`
    `` | `void` | `writeSynchronized(SynchronizedStatement statement)`
    `` | `void` | `writeThrow(ThrowStatement statement)`
    `` | `void` | `writeTryCatchFinally(TryCatchStatement statement)`
    `` | `void` | `writeWhileLoop(WhileStatement loop)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public StatementWriter(WriterController controller)

  - ### Method Detail

    - #### public void writeAssert(AssertStatement statement)

    - #### public void writeBlockStatement(BlockStatement block)

    - #### public void writeBreak(BreakStatement statement)

    - #### protected void writeCaseStatement(CaseStatement statement, int switchVariableIndex, org.objectweb.asm.Label thisLabel, org.objectweb.asm.Label nextLabel)

    - #### public void writeContinue(ContinueStatement statement)

    - #### public void writeDoWhileLoop(DoWhileStatement loop)

    - #### public void writeExpressionStatement(ExpressionStatement statement)

    - #### protected void writeForInLoop(ForStatement loop)

    - #### protected void writeForLoopWithClosureList(ForStatement loop)

    - #### public void writeForStatement(ForStatement loop)

    - #### public void writeIfElse(IfStatement ifElse)

    - #### protected void writeIteratorHasNext(org.objectweb.asm.MethodVisitor mv)

    - #### protected void writeIteratorNext(org.objectweb.asm.MethodVisitor mv)

    - #### public void writeReturn(ReturnStatement statement)

    - #### protected void writeStatementLabel(Statement statement)

    - #### public void writeSwitch(SwitchStatement statement)

    - #### public void writeSynchronized(SynchronizedStatement statement)

    - #### public void writeThrow(ThrowStatement statement)

    - #### public void writeTryCatchFinally(TryCatchStatement statement)

    - #### public void writeWhileLoop(WhileStatement loop)